{$A+,B-,D-,F-,G+,I-,K+,L-,N+,P-,Q-,R-,S-,T-,V+,W-,X+,Y-}
{*******************************************************}
{                                                       }
{           Delphi Visual Component Library             }
{                                                       }
{          Copyright (c) 1996-1997 AllexSoft            }
{                   Written by VSM                      }
{                                                       }
{                   SOHO Components                     }
{                                                       }
{*******************************************************}
unit SoAlignF;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, StdCtrls, ExtCtrls, Buttons, SoTools, SohoBtns, SoChkBox,
  SoMdlFrm;

type
  TsohoAlignmentForm = class(TsohoModalForm)
    sohoBitBtn1: TsohoBitBtn;
    sohoBitBtn2: TsohoBitBtn;
    HorizontalAlignment: TGroupBox;
    HorNoChangeC: TsohoCheckBox;
    sohoCheckBox1: TsohoCheckBox;
    sohoCheckBox2: TsohoCheckBox;
    sohoCheckBox3: TsohoCheckBox;
    sohoCheckBox4: TsohoCheckBox;
    VerticalAlignment: TGroupBox;
    VerNoChangeC: TsohoCheckBox;
    sohoCheckBox6: TsohoCheckBox;
    sohoCheckBox7: TsohoCheckBox;
    sohoCheckBox8: TsohoCheckBox;
    sohoCheckBox9: TsohoCheckBox;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
    function GetItemIndex (Box: TGroupBox): integer;
    function GetAlign (var aHorAlign,aVertAlign : integer) : boolean;
  public
    { Public declarations }
  end;

var AlignmentForm: TsohoAlignmentForm;

function GetControlsAlign (var aHorAlign,aVertAlign : integer) : boolean;

implementation

{$R *.DFM}

function GetControlsAlign (var aHorAlign,aVertAlign : integer) : boolean;
begin
   Result := false;
   try
     AlignmentForm := TsohoAlignmentForm.Create(Application);
     Result := AlignmentForm.GetAlign(aHorAlign,aVertAlign);
   finally
     AlignmentForm.Free;
   end;
end;

function TsohoAlignmentForm.GetItemIndex (Box: TGroupBox): integer;
var Index : longint;
begin
  Result := 0;
  for Index := 0 to pred(Box.ControlCount) do
    if TsohoCheckBox(Box.Controls[Index]).Checked then begin
      Result := Index;
      exit;
    end;
end;

function TsohoAlignmentForm.GetAlign (var aHorAlign,aVertAlign : integer) : boolean;
begin
   Result := ShowModal = mrOk;
   aHorAlign  := GetItemIndex(HorizontalAlignment);
   aVertAlign := GetItemIndex(VerticalAlignment);
end;

procedure TsohoAlignmentForm.FormShow(Sender: TObject);
begin
   HorNoChangeC.Checked := true;
   VerNoChangeC.Checked := true;
end;

end.
